GRAPHICS_DEMOS(6)

NAME
graphics_demos, bouncedemo, framedemo, jumpdemo, spheresdemo, - graphics demonstration programs

SYNOPSIS
/usr/demo/bouncedemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/framedemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/jumpdemo [ -c ] [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/spheresdemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

AVAILABILITY
These demos are available with the Demos software installation option. Refer to for information on how to install optional software.

DESCRIPTION

  bouncedemo

bouncedemo displays a bouncing square.

  framedemo
framedemo

displays a series of frames, each of which contains a 256 by 256 image one-bit-deep pixels (that is, the image is a square monochrome bitmap, with 256 bits on a side). framedemo looks for the frames in the files frame.1 through frame.n in the current working directory, and displays them in numerical order. A set of sample frames is available in the directory /usr/demo/globeframes/*.

  Interactive Commands

If you move the cursor onto the image surface, you can type certain commands to affect the rate at which the frames are displayed. The initial rate is one frame per second:

f   Remove 1/20th of a second from the interval.

F   Remove one second from the interval. Ff makes the interval as small as possible.

s   Add 1/20th of a second.

S   Add one second.

  jumpdemo

jumpdemo simulates the famous Star Wars jump to light-speed-sequence using vector drawing. Colored stars are drawn on color surfaces.

  spheresdemo

spheresdemo computes a random collection of shaded spheres. Colored spheres are drawn on color surfaces.

OPTIONS

-c  Rotate the color map to produce a sparkling effect.

-d surface
    Run the demo on a surface other than the window or system console, for instance:

        bouncedemo -d /dev/cgone0

-nx Draw x items, or repeat a sequence x times.

-r  Retain the window. This allows the image to reappear when uncovered instead of restarting the demo.

-q  Quick exit. Useful for running several demos from within a shell script.